
Ryzom - Bug # 843

Status: New Priority: Normal
Author: browser_ice Category: Client: General
Created: 05/06/2010 Assignee:
Updated: 07/24/2010 Due date:
Subject: Client Core crashing on direct3d shader driver
Description

Today, May 6th, I have just downloaded the Ryzom Client Core and upon starting it (as is) I got a crash from the very beginning.
Nothing was displayed, nothing was asked:

A failed assertion occurs
ProcName: client_ryzom_r.exe
Date: 2010/05/06 16:18:03
File: .\driver_direct3d_shader.cpp
Line: 410
FuncName: NL3D::setFX
Reason: "drv->activeShader (&s)" 
-------------------------------

No log
-------------------------------

Windows XP Pro SP3
2Gb memory
ATI Radeon 9600XT - Catalyst 8.4
No problems playing commercial game

Related issues:
duplicated by Ryzom - Bug # 1027: driver_direct3d_shader.cpp Rejected 07/24/2010

History
#1 - 05/06/2010 10:41 pm - kaetemi

Does it work on your machine with OpenGL?

#2 - 05/11/2010 05:24 am - browser_ice

kaetemi wrote:

Does it work on your machine with OpenGL?

Sorry, I did not come back soon enough to check on this ticket. I will test it within the next 2 days and give you feedbacks here.

#3 - 05/11/2010 10:45 am - kervala

I updated code for displaying shader name instead of content. Please could you try again et post log file ? Thanks :)
#4 - 05/11/2010 09:22 pm - browser_ice

I ran it with OpenGL (changed the client_default.cfg since I had no screens to change it, but then again I did not look for it).

It runs under OpenGL. I walked around a bit and the only thing I found so far was the water texture being missing (actually depending on the camera
angle, either there was nothing or a sort of white gradiant shader).

if you made a code change, how do I only download the executable part or data that was changed without downloading the whole thing ?

#5 - 05/16/2010 01:09 am - rti

I think I got the same error here when trying to run WorldEditor using Direct3D in a WinXP VM:

2010/05/16 00:52:11 INF  3a0 world_editor_r.exe dru.cpp 176 NL3D::CDRU::createD3DDriver : Using the library 'nel_drv_direct3d_win' that is in the
directory: 'nel_drv_direct3d_win_r.dll'
2010/05/16 00:52:11 WRN  3a0 world_editor_r.exe driver_direct3d_shader.cpp 377 NL3D::CDriverD3D::activeShader : Can't create shader
'lightmap0Fx':
2010/05/16 00:52:11 AST  3a0 world_editor_r.exe driver_direct3d_shader.cpp 402 NL3D::setFX : "drv->activeShader (&s)"

#6 - 07/24/2010 09:29 pm - molator

Same error with a Radeon Hd4830, DirectX 11 on Windows 7 x86.
It works with OpenGL.

Files
logs.7z 12.6 kB 05/06/2010 browser_ice
